package com.djhk.uav.uav.service;

import com.djhk.uav.uav.model.UavBattery;

import java.util.List;

/**
 * 运力Service接口
 *
 * @author jiachengshuai
 * @date 2023-02-21
 */
public interface IUavBatteryService
{
    /**
     * 查询运力
     *
     * @param id 运力主键
     * @return 运力
     */
    public UavBattery selectUavBatteryById(Long id);

    /**
     * 查询运力列表
     *
     * @param uavBattery 运力
     * @return 运力集合
     */
    public List<UavBattery> selectUavBatteryList(UavBattery uavBattery);

    /**
     * 新增运力
     *
     * @param uavBattery 运力
     * @return 结果
     */
    public int insertUavBattery(UavBattery uavBattery);

    /**
     * 修改运力
     *
     * @param uavBattery 运力
     * @return 结果
     */
    public int updateUavBattery(UavBattery uavBattery);

    /**
     * 批量删除运力
     *
     * @param ids 需要删除的运力主键集合
     * @return 结果
     */
    public int deleteUavBatteryByIds(Long[] ids);

    /**
     * 删除运力信息
     *
     * @param id 运力主键
     * @return 结果
     */
    public int deleteUavBatteryById(Long id);
}
